Results 1 to 6 of 6

Thread: apt-get update/upgrade/kept back

  1. #1
    Member floyd's Avatar
    Join Date
    Mar 2009
    Posts
    231

    Default apt-get update/upgrade/kept back

    Hi everybody

    I'm a little bit confused right now about the hole upgrade story. There were some problems in Beta Version (Back|Track LiveCD Blog: apt-get upgrade breaks BackTrack 4 Beta KDE - that's why I never did an upgrade). But it should work now in BT4 Pre Final because BT has his own repos, right?

    So am I right that
    sudo apt-get update && sudo apt-get upgrade
    should be ok and will not update from intrepid to jaunty and break kernel modifications (I'm worried because post http://forums.remote-exploit.org/bac...-avalible.html is in the BT4 Pre Final Section)?

    I tried to update in VMWare and it worked, but I got a
    The following packages have been kept back:
    backtrack-web backtrack-wireless backtrack-world
    0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
    so I did a
    apt-get dist-upgrade
    and now e.g. BUC is installed and I get a confusing italian information

    Any reason why I shouldn't always do a?
    sudo apt-get update && sudo apt-get upgrade
    sudo apt-get dist-upgrade
    Auswaertsspiel

  2. #2
    My life is this forum Barry's Avatar
    Join Date
    Jan 2010
    Posts
    3,817

    Default

    I try to never do dist-upgrade, for me it breaks things. I'm not sure why you had those kept back though. It doesn't do that for me, though I set a root password and log in as that.
    Of course, if you really wanted to have some fun, go to Wal-Mart late at night and ask the greeter if they could help you find trashbags, roll of carpet, rope, quicklime, clorox and a shovel. See if they give you any strange looks. --Streaker69

  3. #3
    Jenkem Addict imported_wyze's Avatar
    Join Date
    Jul 2007
    Posts
    1,543

    Default

    So if I read you right you're trying to go from BETA to Pre-Final via apt??
    dd if=/dev/swc666 of=/dev/wyze

  4. #4
    Member floyd's Avatar
    Join Date
    Mar 2009
    Posts
    231

    Default

    No! I know that won't work as discussed in http://forums.remote-exploit.org/bac...pre-final.html. I'm just updating my Pre Final and because I'm not too familiar with the hole driver/kernel stuff I'm asking. And I'm wondering why or for what purpose I need dist-upgrade
    Auswaertsspiel

  5. #5
    Developer
    Join Date
    Mar 2007
    Posts
    6,126

    Default

    OK let me try and clear this up.

    #1 Completely forget anything that had anything to do with bt4 beta including the repo address.

    Here is how things work now.

    We have our own repo which we take the responsibility of getting every thing from the main repo. So you should only have 1 source in your sources.list. If you add any more for whatever reason , I can not guarantee your sh*t will not fail. That being said you should never be afraid to update from us and us only. Thats not to say there wont be mistakes or failures but we will do our best. If anything does fail we rely on you guys to post it or contact one of us via email. We have a test repo where stuff goes first for a few days to a week depending on the update, then if that works we add it to main repo and you get it then. Hope that clears it up.

  6. #6
    Member floyd's Avatar
    Join Date
    Mar 2009
    Posts
    231

    Default

    Thanks. It's clear that I can't just add a repo. I will do this in the future:
    sudo apt-get update && sudo apt-get upgrade
    sudo apt-get dist-upgrade
    Auswaertsspiel

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •